Instances
All operations require authentication.
List Web Cloud DatabasesProduction
Returns the service names of the Web Cloud Databases of the account.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get available order capacitiesProduction
Returns the datacenters, RAM sizes and DBMS versions available for the requested offer.
Query parameters
Available offers
classicpublicResponse
A list of datacenter available for this offer
bhs1gra1gra2gra3Offer
classicpublicA list of ram size available for this offer
102420484096512A list of version available for this offer
mariadb_10.11mariadb_11.4mariadb_11.8mysql_8.0mysql_8.4postgresql_14postgresql_15postgresql_16postgresql_17postgresql_18valkey_7.2valkey_8.1valkey_9.1Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ availableOrderCapacities \
-H "authorization: Bearer $OVH_TOKEN"{ "datacenter": [ "bhs1" ], "offer": "classic", "ram": [ "1024" ], "version": [ "mariadb_10.11" ]}
Get a Web Cloud DatabaseProduction
Returns the service properties, such as offer, DBMS type and version, hostname and ports, RAM, quota and state.
Path parameters
Service name
Response
Private database capabilities
Number of cpu on your private database
Datacenter where this private database is located
bhs1gra1gra2gra3Set the name displayed in customer panel for your private database (max 50 chars)
Parameters required to query metrics from OpenTSDB
URL for the graphical user interface
Private database hostname
Private database ftp hostname
IAM resource metadata
Infrastructure where service was stored
dockerPrivate database ip
Is the service under maintenance
Date of the last data synchronization
Type of the private database offer
classicpublicPrivate database service port
Private database ftp port
Space allowed on your private database
Total space used on your private database
Amount of ram on your private database
Private database server name
Service name
Private database state
detachedrestartPendingstartPendingstartedstopPendingstoppedReturn the TLS certificate authority used by the private database
Private database type
mariadbmysqlpostgresqlvalkeyPrivate database version
mariadb_10.11mariadb_11.4mariadb_11.8mysql_8.0mysql_8.4postgresql_14postgresql_15postgresql_16postgresql_17postgresql_18valkey_7.2valkey_8.1valkey_9.1Private database version label
Private database version number
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "capabilities": [ { "create": true, "delete": true, "object": "string", "update": true } ], "cpu": 0, "datacenter": "bhs1", "displayName": "string", "graphEndpoint": { "host": "string", "readToken": "string", "readTokenId": "string" }, "guiURL": "string", "hostname": "string", "hostnameFtp": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "infrastructure": "docker", "ip": "192.0.2.0", "isUnderMaintenance": true, "lastCheck": "2024-01-01T12:00:00Z", "offer": "classic", "port": 0, "portFtp": 0, "quotaSize": { "unit": "string", "value": 0 }, "quotaUsed": { "unit": "string", "value": 0 }, "ram": { "unit": "string", "value": 0 }, "server": "string", "serviceName": "string", "state": "detached", "tlsCa": "string", "type": "mariadb", "version": "mariadb_10.11", "versionLabel": "string", "versionNumber": 0}
Update a Web Cloud DatabaseProduction
Updates the editable properties of the service, such as the display name (50 characters maximum).
Path parameters
Service name
Request body (required)
Private database capabilities
Number of cpu on your private database
Datacenter where this private database is located
bhs1gra1gra2gra3Set the name displayed in customer panel for your private database (max 50 chars)
Parameters required to query metrics from OpenTSDB
URL for the graphical user interface
Private database hostname
Private database ftp hostname
Infrastructure where service was stored
dockerPrivate database ip
Is the service under maintenance
Date of the last data synchronization
Type of the private database offer
classicpublicPrivate database service port
Private database ftp port
Space allowed on your private database
Total space used on your private database
Amount of ram on your private database
Private database server name
Service name
Private database state
detachedrestartPendingstartPendingstartedstopPendingstoppedReturn the TLS certificate authority used by the private database
Private database type
mariadbmysqlpostgresqlvalkeyPrivate database version
mariadb_10.11mariadb_11.4mariadb_11.8mysql_8.0mysql_8.4postgresql_14postgresql_15postgresql_16postgresql_17postgresql_18valkey_7.2valkey_8.1valkey_9.1Private database version label
Private database version number
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List available DBMS versionsProduction
Returns the DBMS versions available for the service. Use one of them to change the DBMS version.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ availableVersions \
-H "authorization: Bearer $OVH_TOKEN"[ "mariadb_10.11"]
Change the contactsProduction
Starts a change procedure for the admin, billing or tech contact of the service. Returns the IDs of the account contact change tasks, which are not listed in the service tasks.
Path parameters
Service name
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Change the FTP passwordProduction
Changes the FTP admin password of the service. The password must be alphanumeric and at least 8 characters long.
Path parameters
Service name
Request body (required)
New ftp admin password (alphanumeric and 8 characters minimum)
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ changeFtpPassword \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}
Change the DBMS versionProduction
Changes the DBMS version of the service to one of the available versions. Returns a task to follow the change.
Path parameters
Service name
Request body (required)
Change the private database engine version
mariadb_10.11mariadb_11.4mariadb_11.8mysql_8.0mysql_8.4postgresql_14postgresql_15postgresql_16postgresql_17postgresql_18valkey_7.2valkey_8.1valkey_9.1Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ changeVersion \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}
Confirm the terminationProduction
Confirms the termination of the service with the token sent by email to the admin contact.
Path parameters
Service name
Request body (required)
Commentary about your termination request
Commentary about your future use
Commentary about your reason for termination request
All future uses you can provide for a service termination
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORAll reasons you can provide for a service termination
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Restart the serviceProduction
Restarts the service, which is unavailable for a few seconds. Returns a task to follow the restart.
Path parameters
Service name
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ restart \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}
Get service informationProduction
Returns the billing information of the service, such as creation and expiration dates, contacts and renewal settings.
Path parameters
Service name
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Updates the editable service information, such as the renewal settings.
Path parameters
Service name
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016manualoneShotoptionservice.StateEnum
autorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Request the terminationProduction
Starts the termination of the service and sends a confirmation token by email to the admin contact. Confirm it with the termination confirmation.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
List linked web hostingsProduction
Returns the service names of the web hostings linked to the service.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ webs \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]